@import url('https://fonts.googleapis.com/css2?family=Prompt&display=swap');

:root {
    --main-font-color: #121212ff;
    --main-font-link: #000000;
    --alt-font-color: #FFFBF5;
    --main-background-color: #ffffff;
    --alt-navbar-color: #efefef;
    --primary-color: #EA5455;
    --secondary-color: #002B5B;
    --secondary-color-hover: #0d55a7;
    --inventary-color: #dcb9b2;
    --inventary-alt: #9f8d99;
    --primary--button: #9d2e2e;
    --primary--button--hover: #631b1b;
    --secondary--button--hover: #c04141;
}

* {
    margin: 0;
    padding: 0;
    font-size: 16px;
    box-sizing: border-box;
    font-family: 'Inter', sans-serif;
    list-style: none;
}

.btn__link.white {
    color: white;
}

body {
    overflow-x: hidden;
}

button {
    cursor: pointer;
}

.searchbar_wrapper {
    width: 100%;
    max-width: 1920px;
    margin: 0 auto;
    height: 8rem;


}

.fondo {
    position: relative;
    display: flex;
    flex-direction: column;
    text-align: center;
    justify-content: center;
    gap: 2em;
    height: 100%;
    width: 100%;
    overflow: hidden;
}

.fondo img {
    position: absolute;
    width: 100%;
    /* height: 100%; */
    object-fit: cover;
    z-index: -1;
    filter: brightness(40%) blur(4px);
    /*== julian: original blur(8px) */
}

.searchbar {
    width: 100%;
    z-index: 1;
    display: flex;
    justify-content: center;
    flex-direction: row;
}

.searchbar input {
    width: 576px;
    background-color: #44444462;
    color: white;
    border-radius: 20px;
    padding: 0.6rem;
}

.searchbar input::placeholder {
    color: white;
}

/* .searchbar__filtros {
    width: 100%;
    z-index: 1;
    display: flex;
    justify-content: center;
    flex-direction: row;
} */

/* .searchbar__filtros ul {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 1.3rem;
}

.searchbar__filtros li {
    border: 1px solid rgb(196, 196, 196);
    padding: 0 0.8rem;
    border-radius: 2rem;
    color: white;
} */

.botones_filtro {
   display: none;
}



.filtro-cards--container {
    display: grid;
    grid-template-columns: 1fr 5fr;
    max-width: 1920px;
    margin: 0 auto;
}

.filtro_wrapper {
    border: 0.6px solid rgba(215, 215, 215, 0.444);
    display: flex;
    flex-direction: column;
    gap: 10px;
    padding: 3rem;
    margin-top: 1em;
    height: 96%;
    /* === julian: agregado temporalmente solo para nivelar con grid_wrapper_products */
}

.filtro_wrapper ul li {
    width: 100%;
}

.filtro_wrapper li {
    padding-top: 2px;
    padding-bottom: 2px;
    padding-left: 18px;
    cursor: pointer;
}

.filtro_wrapper li:hover {
    font-weight: 700;
    color: var(--primary--button);
}

.filtro_wrapper h4 {
    font-size: 1.2rem;
    font-family: 'Prompt', sans-serif;
}

.filtro_wrapper button {
    background-color: var(--primary-color);
    color: var(--alt-navbar-color);
    padding: 0.3em 0;
    margin-top: 1.5em;
    font-weight: 300;
    font-size: 0.9em;
    border: none;
}

.filtro_wrapper button:hover {
    background-color: var(--primary--button);


}



.product_container {
    /* border: 1px solid red; */
    display: grid;
    /* grid-auto-rows: 21rem; */
    /*== julian: no cumple ninguna funcion===*/
    grid-template-columns: repeat(auto-fill, minmax(15em, 1fr));
    gap: 0.8em;
    padding: 1em 2em;
    margin-bottom: 2em;

}

.product_container .card_product {
    border: 0.6px solid rgba(170, 170, 170, 0.256);
    border-radius: 3px;
    /* cambie border radius: original 40px */
}

.card_product {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: left;
    gap: 0.5em;
    box-shadow: 11px 10px 20px -10px rgba(0, 0, 0, 0.1);
    transition: all 100ms ease-in;
}

.card_product:hover {
    transform: scale(1.02);
    border: 1px solid var(--secondary-color);
}

.card_product img {
    scale: 0.9;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.card_product .marca {
    margin-left: 1rem;
    text-align: left;
    font-weight: 300;
    font-size: 0.9em;
}

.card_product .modelo {
    margin-left: 1rem;
    text-align: left;
    font-weight: 500;
}

.card_product .precio {
    margin-left: 1rem;
    color: var(--primary-color);
    font-weight: 400;
    margin-bottom: 1em;
}


/*  ================= VENTANA MODAL =============== */
.showproduct__modal--container {
    /* display: none; */
    position: fixed;
    width: 100vw;
    height: 100vh;
    top: 0;
    left: 0;
    display: flex;
    margin: auto;
    background-color: #000000a7;
    z-index: 100;

}

.modal__card {
    background-color: var(--alt-navbar-color);
    margin: auto;
    width: min(900px, 80%);
    height: min(700px, 70%);
    padding: 2.5rem 1rem;
    border-radius: 15px;
    display: flex;
    justify-content: space-evenly;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 1.2em;
}

.img__modal {
    width: 50%;
    height: 100%;
    object-fit: cover;
}

.info__modal {
    position: relative;
    height: 100%;
    width: 40%;
    max-width: 100%;
}

.btn-close__modal {
    position: absolute;
    background-color: var(--alt-navbar-color);
    text-align: right;
    border: none;
    font-size: 3rem;
    font-weight: 300;
    border: 0;
    top: -5%;
    right: -3%;
}

.brand-info__modal {
    margin: 1.5em 0 0.4em;
    font-weight: 300
}

.name-info__modal {
    margin-bottom: 0.8em;
    font-size: 1.8em
}

.text-info__modal {
    margin-bottom: 0.8em;
}

.description-info__modal {
    margin-bottom: 1.8em;
}

.btn-info__modal {
    position: absolute;
    bottom: 0;
    border-radius: 0;
    color: var(--alt-font-color);
    background-color: var(--secondary-color);
    font-size: 1em;
    font-weight: 500;
    padding: 0.7em 0;
    width: 100%;
    cursor: pointer;
    transition: all 100ms ease-in-out;
}

.btn-info__modal:hover {
    background-color: var(--secondary-color-hover);
}

@media (max-width: 850px) {
    .btn-info__modal {
        padding: 0.4em ;
    }

    .name-info__modal {
        font-size: 1.2em;
    }

    .text-info__modal, .description-info__modal, .brand-info__modal {
        font-size: 0.8em;
    }

}



@media (min-width: 200px) and (max-width:662px) {

    .searchbar {
        padding: 0 55px;
    }

    .searchbar__filtros ul {
        gap: 0.4rem;
        scale: 0.9;
    }

    .filtro-cards--container {
        display: grid;
        grid-template-columns: 1fr;
    }

    .filtro_wrapper--container {
        display: none;
    }

     .visible{
        display: block;
    }

    .botones_filtro {
        display: block;
    }

    .botones_filtro button {
        border: none;
        border-bottom: 1px solid var(--secondary-color);
        padding: 0.6rem 2rem;
        font-weight: 500;
        width: 100%;
        background-color: var(--main-background-color);
        box-shadow: 0 0.1px 5px 0px;
    }

    .botones_filtro button:focus {
        background-color: var(--alt-navbar-color);
    }

    .showproduct__modal--container {
        position: absolute;
        top: 0;
        right: 0;
        height: 150vh;
        width: 100%;
    }

    .modal__card {
        display: flex;
        flex-direction: none;
        justify-content: center;
        padding: 1em;
        width: min(500px, 80%);
        height: 40em;
        gap: 1em;

    }

    .img__modal {
        height: 50%;
        width: min(500px, 100%);
        object-fit: cover;
    }

    


    .info__modal {
        height: 40%;
        width: 100%;
        max-width: 100%;
    }
}